Dependencies for installing Serpent and pyethereum

Published on 2nd Nov, 2016 by David Young

Before following the instructions on https://github.com/ethereum/wiki/wiki/Serpent it is useful to have all of the relevant dependencies before we start. These are, in no particular order, build-essential git libpython2.7-dev libssl-dev python-pip python-setuptools. Once these are installed, don't forget to pip install --upgrade pip as well!